Index: gutenbach-client/Makefile
===================================================================
--- gutenbach-client/Makefile	(revision 0deef9e258fce28cac566b226c4b623057566190)
+++ gutenbach-client/Makefile	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -0,0 +1,5 @@
+all:
+
+install:
+	mkdir -p $(DESTDIR)/usr/bin/
+	install -m 755 bin/* $(DESTDIR)/usr/bin/
Index: gutenbach-client/bin/gbq
===================================================================
--- gutenbach-client/bin/gbq	(revision 0deef9e258fce28cac566b226c4b623057566190)
+++ gutenbach-client/bin/gbq	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -0,0 +1,54 @@
+#!/usr/bin/perl
+
+# Written by Jessica Hamrick (C) 2010
+
+use strict;
+use warnings;
+
+use Net::CUPS;
+use Net::CUPS::Destination;
+
+my $usage = "Usage: gbq QUEUE\n";
+
+my $q = $ARGV[0];
+
+if (!$q) {
+    print $usage;
+    exit 1
+}
+
+my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
+if (! -e $configpath) {
+    print "Queue '$q' does not exist!\n";
+    exit 1;
+}
+
+my ($host, $queue);
+
+if (-r $configpath) {
+    local $/;
+    my $fh;
+    open $fh, $configpath;
+    eval <$fh>;
+}
+
+my $cups = Net::CUPS->new();
+$cups->setServer("$host");
+my $printer = $cups->getDestination("$queue");
+
+print "Queue listing for queue '$queue' on '$host'\n\n";
+print "Job ID\t\tOwner\t\tFile\n";
+print "-----------------------------------------------------------------\n";
+
+my @jobs = $printer->getJobs(0, 0);
+my ($job_ref, $jobid);
+
+foreach $jobid(@jobs) 
+{       
+	$job_ref = $printer->getJob($jobid);
+	my $id = $job_ref->{'id'};
+	my $user = $job_ref->{'user'};
+	my $title = $job_ref->{'title'};
+
+	print "$id\t\t$user\t\t$title\n";
+}
Index: gutenbach-client/bin/gbr
===================================================================
--- gutenbach-client/bin/gbr	(revision 0deef9e258fce28cac566b226c4b623057566190)
+++ gutenbach-client/bin/gbr	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -0,0 +1,34 @@
+#!/usr/bin/perl
+
+# Written by Jessica Hamrick (C) 2010
+
+use strict;
+use warnings;
+
+my $usage = "Usage: gbr QUEUE FILE\n";
+
+my $q = $ARGV[0];
+my $file = $ARGV[1];
+
+if (!$q or !$file) {
+    print $usage;
+    exit 1
+}
+
+my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
+if (! -e $configpath) {
+    print "Queue '$q' does not exist!\n";
+    exit 1;
+}
+
+my ($host, $queue);
+
+if (-r $configpath) {
+    local $/;
+    my $fh;
+    open $fh, $configpath;
+    eval <$fh>;
+}
+
+my @args = ("lp", "-h$host", "-d$queue", "$file");
+exec (@args) or die "Couldn't execute lp command";
Index: gutenbach-client/bin/gbrm
===================================================================
--- gutenbach-client/bin/gbrm	(revision 0deef9e258fce28cac566b226c4b623057566190)
+++ gutenbach-client/bin/gbrm	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -0,0 +1,41 @@
+#!/usr/bin/perl
+
+# Written by Jessica Hamrick (C) 2010
+
+use strict;
+use warnings;
+
+my $usage = "Usage: gbq QUEUE ID\n";
+
+my $q = $ARGV[0];
+my $id = $ARGV[1];
+
+if (!$q or !$id) {
+    print $usage;
+    exit 1
+}
+
+my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
+if (! -e $configpath) {
+    print "Queue '$q' does not exist!\n";
+    exit 1;
+}
+
+my ($host, $queue);
+
+if (-r $configpath) {
+    local $/;
+    my $fh;
+    open $fh, $configpath;
+    eval <$fh>;
+}
+
+my @args;
+
+if ($id eq "all") {
+    @args = ("cancel", "-a", "-h$host", "$queue");
+}
+else {
+    @args = ("cancel", "-h$host", "$id", "$queue");
+}
+exec (@args) or die "Couldn't execute cancel command";
Index: gutenbach-client/bin/gutenbach-client-config
===================================================================
--- gutenbach-client/bin/gutenbach-client-config	(revision 0deef9e258fce28cac566b226c4b623057566190)
+++ gutenbach-client/bin/gutenbach-client-config	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -0,0 +1,84 @@
+#!/usr/bin/perl
+
+# Written by Jessica Hamrick, (C) 2010
+
+use strict;
+use warnings;
+use Getopt::Long;
+
+my $usage = 
+    "Usage: gutenbach-client-config [-l|--list|-a|--add|-d|--delete] [QUEUE] [--host=HOST]\n" .
+    "\n" .
+    "\t-l, --list\t\tList available queues\n" .
+    "\t-a, --add QUEUE\t\tAdd a queue (must be used with -h)\n" .
+    "\t-d, --delete QUEUE\tDelete a queue)\n" .
+    "\t-h, --host HOST\t\tHostname for the queue\n";
+
+my $list = 0;
+my $add = "";
+my $delete = "";
+my $host = "";
+
+GetOptions ('l|list' => \$list,
+            'a|add=s' => \$add,
+            'd|delete=s' => \$delete,
+	    'h|host=s' => \$host);
+
+my $configpath = "$ENV{'HOME'}/.gutenbach";
+
+if (! -e $configpath) {
+    mkdir "$configpath";
+}
+
+# list the existing queues
+if ($list and !$add and !$delete) {
+    my @queues = glob("$configpath/*") or die "Couldn't find configuration files at '$configpath'";
+
+    print "Queue\t\tHost\n";
+    foreach my $q (@queues) {
+	my ($host, $queue);
+
+	if (-r $q) {
+	    local $/;
+	    my $fh;
+	    open $fh, $q;
+	    eval <$fh>;
+	}
+
+	print "$queue\t\t$host\n";
+    }
+}
+
+# add a new queue
+elsif (!$list and $add and !$delete) {
+    if (!$host) {
+	print $usage;
+	exit 1;
+    }
+
+    if (-e "$configpath/$add") {
+	print "Warning: queue '$add' already exists\n";
+    }
+
+    open CONFIG, "> $configpath/$add" or die "Couldn't open config file '$configpath/$add'";
+    print CONFIG "\$host = \"$host\";\n";
+    print CONFIG "\$queue = \"$add\";\n";
+    close CONFIG;
+
+    print "Added queue '$add' on host '$host'\n"
+}
+
+# delete an existing queue
+elsif (!$list and !$add and $delete) {
+    if (! -e "$configpath/$delete") {
+	print "Error: queue '$delete' already exists\n";
+	exit 1;
+    }
+
+    unlink("$configpath/$delete") or die "Couldn't remove config file '$configpath/$delete'";
+}
+
+else {
+    print $usage;
+    exit 1;
+}
Index: tenbach-client/debian/bin/gbq
===================================================================
--- gutenbach-client/debian/bin/gbq	(revision 85a1ac1096ddfdc8bef9a1a224a073467a500d6b)
+++ 	(revision )
@@ -1,54 +1,0 @@
-#!/usr/bin/perl
-
-# Written by Jessica Hamrick (C) 2010
-
-use strict;
-use warnings;
-
-use Net::CUPS;
-use Net::CUPS::Destination;
-
-my $usage = "Usage: gbq QUEUE\n";
-
-my $q = $ARGV[0];
-
-if (!$q) {
-    print $usage;
-    exit 1
-}
-
-my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
-if (! -e $configpath) {
-    print "Queue '$q' does not exist!\n";
-    exit 1;
-}
-
-my ($host, $queue);
-
-if (-r $configpath) {
-    local $/;
-    my $fh;
-    open $fh, $configpath;
-    eval <$fh>;
-}
-
-my $cups = Net::CUPS->new();
-$cups->setServer("$host");
-my $printer = $cups->getDestination("$queue");
-
-print "Queue listing for queue '$queue' on '$host'\n\n";
-print "Job ID\t\tOwner\t\tFile\n";
-print "-----------------------------------------------------------------\n";
-
-my @jobs = $printer->getJobs(0, 0);
-my ($job_ref, $jobid);
-
-foreach $jobid(@jobs) 
-{       
-	$job_ref = $printer->getJob($jobid);
-	my $id = $job_ref->{'id'};
-	my $user = $job_ref->{'user'};
-	my $title = $job_ref->{'title'};
-
-	print "$id\t\t$user\t\t$title\n";
-}
Index: tenbach-client/debian/bin/gbr
===================================================================
--- gutenbach-client/debian/bin/gbr	(revision 85a1ac1096ddfdc8bef9a1a224a073467a500d6b)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#!/usr/bin/perl
-
-# Written by Jessica Hamrick (C) 2010
-
-use strict;
-use warnings;
-
-my $usage = "Usage: gbr QUEUE FILE\n";
-
-my $q = $ARGV[0];
-my $file = $ARGV[1];
-
-if (!$q or !$file) {
-    print $usage;
-    exit 1
-}
-
-my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
-if (! -e $configpath) {
-    print "Queue '$q' does not exist!\n";
-    exit 1;
-}
-
-my ($host, $queue);
-
-if (-r $configpath) {
-    local $/;
-    my $fh;
-    open $fh, $configpath;
-    eval <$fh>;
-}
-
-my @args = ("lp", "-h$host", "-d$queue", "$file");
-exec (@args) or die "Couldn't execute lp command";
Index: tenbach-client/debian/bin/gbrm
===================================================================
--- gutenbach-client/debian/bin/gbrm	(revision 85a1ac1096ddfdc8bef9a1a224a073467a500d6b)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#!/usr/bin/perl
-
-# Written by Jessica Hamrick (C) 2010
-
-use strict;
-use warnings;
-
-my $usage = "Usage: gbq QUEUE ID\n";
-
-my $q = $ARGV[0];
-my $id = $ARGV[1];
-
-if (!$q or !$id) {
-    print $usage;
-    exit 1
-}
-
-my $configpath = "$ENV{'HOME'}/.gutenbach/$q";
-if (! -e $configpath) {
-    print "Queue '$q' does not exist!\n";
-    exit 1;
-}
-
-my ($host, $queue);
-
-if (-r $configpath) {
-    local $/;
-    my $fh;
-    open $fh, $configpath;
-    eval <$fh>;
-}
-
-my @args;
-
-if ($id eq "all") {
-    @args = ("cancel", "-a", "-h$host", "$queue");
-}
-else {
-    @args = ("cancel", "-h$host", "$id", "$queue");
-}
-exec (@args) or die "Couldn't execute cancel command";
Index: tenbach-client/debian/bin/gutenbach-client-config
===================================================================
--- gutenbach-client/debian/bin/gutenbach-client-config	(revision 85a1ac1096ddfdc8bef9a1a224a073467a500d6b)
+++ 	(revision )
@@ -1,84 +1,0 @@
-#!/usr/bin/perl
-
-# Written by Jessica Hamrick, (C) 2010
-
-use strict;
-use warnings;
-use Getopt::Long;
-
-my $usage = 
-    "Usage: gutenbach-client-config [-l|--list|-a|--add|-d|--delete] [QUEUE] [--host=HOST]\n" .
-    "\n" .
-    "\t-l, --list\t\tList available queues\n" .
-    "\t-a, --add QUEUE\t\tAdd a queue (must be used with -h)\n" .
-    "\t-d, --delete QUEUE\tDelete a queue)\n" .
-    "\t-h, --host HOST\t\tHostname for the queue\n";
-
-my $list = 0;
-my $add = "";
-my $delete = "";
-my $host = "";
-
-GetOptions ('l|list' => \$list,
-            'a|add=s' => \$add,
-            'd|delete=s' => \$delete,
-	    'h|host=s' => \$host);
-
-my $configpath = "$ENV{'HOME'}/.gutenbach";
-
-if (! -e $configpath) {
-    mkdir "$configpath";
-}
-
-# list the existing queues
-if ($list and !$add and !$delete) {
-    my @queues = glob("$configpath/*") or die "Couldn't find configuration files at '$configpath'";
-
-    print "Queue\t\tHost\n";
-    foreach my $q (@queues) {
-	my ($host, $queue);
-
-	if (-r $q) {
-	    local $/;
-	    my $fh;
-	    open $fh, $q;
-	    eval <$fh>;
-	}
-
-	print "$queue\t\t$host\n";
-    }
-}
-
-# add a new queue
-elsif (!$list and $add and !$delete) {
-    if (!$host) {
-	print $usage;
-	exit 1;
-    }
-
-    if (-e "$configpath/$add") {
-	print "Warning: queue '$add' already exists\n";
-    }
-
-    open CONFIG, "> $configpath/$add" or die "Couldn't open config file '$configpath/$add'";
-    print CONFIG "\$host = \"$host\";\n";
-    print CONFIG "\$queue = \"$add\";\n";
-    close CONFIG;
-
-    print "Added queue '$add' on host '$host'\n"
-}
-
-# delete an existing queue
-elsif (!$list and !$add and $delete) {
-    if (! -e "$configpath/$delete") {
-	print "Error: queue '$delete' already exists\n";
-	exit 1;
-    }
-
-    unlink("$configpath/$delete") or die "Couldn't remove config file '$configpath/$delete'";
-}
-
-else {
-    print $usage;
-    exit 1;
-}
Index: gutenbach-client/debian/changelog
===================================================================
--- gutenbach-client/debian/changelog	(revision 283d273735a2bd830ceb41b770ccd0b9dc19f649)
+++ gutenbach-client/debian/changelog	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -1,2 +1,8 @@
+gutenbach-client (1.01-1) unstable; urgency=low
+
+  * Make package no longer Debian native.
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Sat, 26 Jun 2010 19:20:08 -0400
+
 gutenbach-client (1.01) unstable; urgency=low
 
Index: tenbach-client/debian/gutenbach-client.install
===================================================================
--- gutenbach-client/debian/gutenbach-client.install	(revision f0a76cccb5a932dcb42aa713f1bc7e3f9464be16)
+++ 	(revision )
@@ -1,1 +1,0 @@
-debian/bin/* /usr/bin/
Index: gutenbach-client/debian/rules
===================================================================
--- gutenbach-client/debian/rules	(revision 127d89c0b94110b2ad76b20fb770dc1ba93457c9)
+++ gutenbach-client/debian/rules	(revision 0deef9e258fce28cac566b226c4b623057566190)
@@ -1,3 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(DEB_DESTDIR)
+
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/makefile.mk
